<?php

namespace App\Controllers\Admin\Part;

use App\Services\Part\SWITCHService;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class SWITCHController extends PartController
{
  public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
  {
    parent::initController($request, $response, $logger);
    $this->content_title = lang("{$this->getService()->getClassName()}.title");
    $this->class_path .= $this->getService()->getClassName();
    $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
    // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

  }
  public function getService(): SWITCHService
  {
    if (!$this->_service) {
      $this->_service = new SWITCHService();
    }
    return $this->_service;
  }
  //Index,FieldForm관
}
